About version problem

<div class="gmail_quote">HI,all,<br>Is it possible to use RTT-1.6.1 with OCL-1.6.2,KDL-1.0,BFL-0.6.1??<br>Today I install new version RTT and OCL ,but it give me some errors like &quot;can not find kdl tool kit&quot; and &quot;can not find bfl&quot; when I compiled OCL template test program !<br>
I install them all in usr/local/. <br>Should I use old version ??<br>
<br><br>
</div><br>

About version problem

On Thursday 22 January 2009 20:01:23 guoliang liu wrote:
> HI,all,
> Is it possible to use RTT-1.6.1 with OCL-1.6.2,KDL-1.0,BFL-0.6.1??
> Today I install new version RTT and OCL ,but it give me some errors like
> "can not find kdl tool kit" and "can not find bfl" when I compiled OCL
> template test program !
> I install them all in usr/local/.
> Should I use old version ??

It should work, but I doubt it has been tested with all these releases. AFAIKT
the template looks for these libraries in /usr/local. So it may just be a
cmake problem. Can you mail the output of a cmake run ?

Peter

About version problem

<div class="gmail_quote">Here is output of cmake in BFL file,the matrix library I think it&#39;s ltilib which was installed in /usr/local:<br><br>Orocos BFL version 0.6.0<br>Build type set to &#39;Debug&#39;<br>Searching for matrix lib lti<br>
-- Looking for Lti in /usr/local/include/ltilib/ - found<br>
-- Lti includes /usr/local/include/<br>-- Lti libs&nbsp;&nbsp;&nbsp;&nbsp; -L/usr/local/lib/ltilib -lltir<br>Searching for rng lib lti<br>-- Looking for Lti in /usr/local/include/ltilib/ - found<br>-- Lti includes /usr/local/include/<br>-- Lti libs&nbsp;&nbsp;&nbsp;&nbsp; -L/usr/local/lib/ltilib -lltir<br>

Searching for cppunit lib <br>-- Looking for Cppunit in /usr/include/cppunit/ - found<br>-- Cppunit includes /usr/include/<br>-- Cppunit libs&nbsp;&nbsp;&nbsp;&nbsp; -L/usr/lib -lcppunit<br>svn: &#39;/home/liu/Src/orocos-bfl-0.6.1-src&#39; is not a working copy<br>

SVN REVISION <br>-- Configuring done<br>-- Generating done<br>-- Build files have been written to: /home/liu/Src/orocos-bfl-0.6.1-src/build<br><br><br><div class="gmail_quote">2009/1/22 Peter Soetens <span dir="ltr">&lt;<a href="mailto:peter [dot] soetens [..] ..." target="_blank">peter [dot] soetens [..] ...</a>&gt;</span><div>
<div></div><div class="Wj3C7c"><br>
<blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;"><div><div></div><div>On Thursday 22 January 2009 20:01:23 guoliang liu wrote:<br>

&gt; HI,all,<br>
&gt; Is it possible to use RTT-1.6.1 with OCL-1.6.2,KDL-1.0,BFL-0.6.1??<br>
&gt; Today I install new version RTT and OCL ,but it give me some errors like<br>
&gt; &quot;can not find kdl tool kit&quot; and &quot;can not find bfl&quot; when I compiled OCL<br>
&gt; template test program !<br>
&gt; I install them all in usr/local/.<br>
&gt; Should I use old version ??<br>
<br>
</div></div>It should work, but I doubt it has been tested with all these releases. AFAIKT<br>
the template looks for these libraries in /usr/local. So it may just be a<br>
cmake problem. Can you mail the output of a cmake run ?<br>
<br>
Peter<br>
<font color="#888888">--<br>
Peter Soetens -- FMTC -- &lt;<a href="http://www.fmtc.be" target="_blank">http://www.fmtc.be</a>&gt;<br>
<br>
</font></blockquote></div></div></div><br>
</div><br>

About version problem

On Friday 23 January 2009 09:48:43 you wrote:
> Here is output of cmake in BFL file,the matrix library I think it's ltilib
> which was installed in /usr/local:

You should reply to the orocos-users list. I'm not a BFL expert.
This looks fine. We need the cmake output of the template code which can't find
BFL, the cmake run below looks ok. So after a make install, bfl should be
installed in /usr/local.

Peter

>
> Orocos BFL version 0.6.0
> Build type set to 'Debug'
> Searching for matrix lib lti
> -- Looking for Lti in /usr/local/include/ltilib/ - found
> -- Lti includes /usr/local/include/
> -- Lti libs -L/usr/local/lib/ltilib -lltir
> Searching for rng lib lti
> -- Looking for Lti in /usr/local/include/ltilib/ - found
> -- Lti includes /usr/local/include/
> -- Lti libs -L/usr/local/lib/ltilib -lltir
> Searching for cppunit lib
> -- Looking for Cppunit in /usr/include/cppunit/ - found
> -- Cppunit includes /usr/include/
> -- Cppunit libs -L/usr/lib -lcppunit
> svn: '/home/liu/Src/orocos-bfl-0.6.1-src' is not a working copy
> SVN REVISION
> -- Configuring done
> -- Generating done
> -- Build files have been written to:
> /home/liu/Src/orocos-bfl-0.6.1-src/build
>
>
> 2009/1/22 Peter Soetens <peter [dot] soetens [..] ...>
>
> > On Thursday 22 January 2009 20:01:23 guoliang liu wrote:
> > > HI,all,
> > > Is it possible to use RTT-1.6.1 with OCL-1.6.2,KDL-1.0,BFL-0.6.1??
> > > Today I install new version RTT and OCL ,but it give me some errors
> > > like "can not find kdl tool kit" and "can not find bfl" when I compiled
> > > OCL template test program !
> > > I install them all in usr/local/.
> > > Should I use old version ??
> >
> > It should work, but I doubt it has been tested with all these releases.
> > AFAIKT
> > the template looks for these libraries in /usr/local. So it may just be a
> > cmake problem. Can you mail the output of a cmake run ?
> >
> > Peter
> > --
> > Peter Soetens -- FMTC -- <http://www.fmtc.be>

About version problem

When I test BFL, it also gives me this error<br><br>matrixwrapper_test.cpp:305:Assertion<br>Test name: MatrixwrapperTest::testMatrixwrapperValue<br>equality assertion failed<br>- Expected: 0<br>- Actual&nbsp; : 24.5<br><br>Failures !!!<br>
Run: 1&nbsp;&nbsp; Failure total: 1&nbsp;&nbsp; Failures: 1&nbsp;&nbsp; Errors: 0<br><br><br><div class="gmail_quote">2009/1/22 guoliang liu <span dir="ltr">&lt;<a href="http://gliang.liu.cn">gliang.liu.cn</a>@<a href="http://gmail.com">gmail.com</a>&gt;</span><br>
<blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;"><div class="gmail_quote">HI,all,<br>Is it possible to use RTT-1.6.1 with OCL-1.6.2,KDL-1.0,BFL-0.6.1??<br>
Today I install new version RTT and OCL ,but it give me some errors like &quot;can not find kdl tool kit&quot; and &quot;can not find bfl&quot; when I compiled OCL template test program !<div class="Ih2E3d"><br>
I install them all in usr/local/. <br></div>Should I use old version ??<br>
<br><br>
</div><br>
</blockquote></div><br>

About version problem

On Thu, Jan 22, 2009 at 8:22 PM, guoliang liu <gliang [dot] liu [dot] cn [..] ...> wrote:
> When I test BFL, it also gives me this error
>
> matrixwrapper_test.cpp:305:Assertion
> Test name: MatrixwrapperTest::testMatrixwrapperValue
> equality assertion failed
> - Expected: 0
> - Actual : 24.5
>
> Failures !!!
> Run: 1 Failure total: 1 Failures: 1 Errors: 0

Could be bug#445, bug#444 (both solved in trunk) or bug#474
(unsolved). Could you check wether the problem is solved using the
latest version from trunk (subversion). If not, please tell us which
matrix library you are using.

thx,

Klaas